﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HeuristicLab.Data;
using HeuristicLab.Core;

namespace HeuristicLab.Problems.MetaOptimization {
  public interface INumericRange : IItem {
    IntValue LowerBound { get; set; }
    IntValue UpperBound { get; set; }
    IntValue StepSize { get; set; }

    event EventHandler LowerBoundChanged;
    event EventHandler UpperBoundChanged;
    event EventHandler StepSizeChanged;

  }
}
